﻿$(function () {
    $(".pcmbtemp ul li").click(function () {
        $(this).addClass("on");
        $(this).siblings().removeClass("on");
        GetTemplate("", "");
    })
    $(".pcmbcase ul li").click(function () {
        $(this).addClass("on");
        $(this).siblings().removeClass("on");
        GetCaseTypeList($(".as_s_choose ul").find("li[class='on']").attr("value"));
        GetCaseLists("", "");
    })
    $(".tempTypeUl ul li").click(function () {
        $(this).addClass("on");
        $(this).siblings().removeClass("on");
        $("#tempType").html($(this).attr("typename"));
        $(".case_fl").hide();
        GetTemplate("", $(this).attr("typeid"));
    })
    $(document).click(function () {
        $(".case_fl").hide();
    })
    $(".tempTypeS,.as_txt").click(function () {
        event.stopPropagation();
        $(".case_fl").toggle();
    })
})

function GetTemplate(col, cid) {
    var pcmb = $(".as_s_choose ul").find("li[class='on']").attr("value");
    if (pcmb == "1") {
        GetTemplateList(col, cid, "1", "12");
    }
    if (pcmb == "2") {
        GetTemplateList(col, cid, "1", "9");
    }
}

function GetTemplateList(col, cid, pageIndex, pageSize)
{
    if (typeof ($(".case_fl_m ul").find("li[class='on']").attr("typeid")) != "undefined") {
        cid = $(".case_fl_m ul").find("li[class='on']").attr("typeid");
    }
    var pcmb = $(".as_s_choose ul").find("li[class='on']").attr("value");
    var isGood = "1";

    var key = $("#temID").val();
    if (key == null || key == NaN || key == "undefined" ) {
        key = "";
    }

    var Websitetag = "";
    if (typeof ($("#ContentPlaceHolder1_hidWebsitetag").val()) != "undefined") {
        Websitetag = $("#ContentPlaceHolder1_hidWebsitetag").val();
    }

    $.ajax({
        url: "/autosite/ajax/GetTemplateInfoList.ashx?col=" + col + "&key=" + key + "&cid=" + cid + "&pcmb=" + pcmb + "&isGood=" + isGood + "&websitetag=" + Websitetag + "&pageIndex=" + pageIndex + "&pageSize=" + pageSize,
        type: "post",
        success: function (Data) {
            if (document.getElementById("liMore") != null && document.getElementById("liMore") != NaN) {
                $("#templateList").html(Data.toString().split("|")[1]);
            }
            else {
                $("#templateList").html(Data.toString().split("|")[1]);
            }
            if ($("#pageInfo") != null && $("#pageInfo") != NaN) {
                $("#pageInfo").html(GetPageInfo(col, cid, pageIndex, pageSize, Data.toString().split("|")[0]));
            }
        },
        error: function () { }
    });
}

function GetCaseTypeList(pcmb) {
    $.ajax({
        url: "/autosite/ajax/GetCaseTypeList.ashx?pcmb=" + pcmb,
        type: "post",
        success: function (Data) {
            $("#caseType").html(Data.toString());

            $(".caseTypeUl ul li").unbind("click");
            $(".caseTypeUl ul li").click(function () {
                $(this).addClass("on");
                $(this).siblings().removeClass("on");
                $("#tempType").html($(this).attr("typename"));
                $(".case_fl").hide();
                GetCaseLists("", $(this).attr("typeid"));
            })
        },
        error: function () { }
    });
}

function GetCaseLists(col, cid) {
    GetCaseList(col, cid, "1", "12");
}
function GetCaseList(col, cid, pageIndex, pageSize) {
    if (typeof ($(".case_fl_m ul").find("li[class='on']").attr("typeid")) != "undefined") {
        cid = $(".case_fl_m ul").find("li[class='on']").attr("typeid");
    }
    var pcmb = $(".as_s_choose ul").find("li[class='on']").attr("value");

    var key = $("#temID").val();
    if (key == null || key == NaN || key == "undefined") {
        key = "";
    }

    $.ajax({
        url: "/autosite/ajax/GetCaseInfoList.ashx?col=" + col + "&key=" + key + "&cid=" + cid + "&pcmb=" + pcmb + "&pageIndex=" + pageIndex + "&pageSize=" + pageSize,
        type: "post",
        success: function (Data) {
            if (document.getElementById("box-anlituList") != null && document.getElementById("box-anlituList") != NaN) {
                $("#box-anlituList").html(Data.toString().split("|")[1]);
            }
            if ($("#pageInfo") != null && $("#pageInfo") != NaN) {
                $("#pageInfo").html(GetPageInfoCase(col, cid, pageIndex, pageSize, Data.toString().split("|")[0], 'GetCaseList'));
            }
        },
        error: function () { }
    });
}

function GetPageInfo(col, cid, pageIndex, pageSize, dataCount) {
    var count = parseInt(dataCount);
    var size = parseInt(pageSize);
    var index = parseInt(pageIndex);
    var pageCount = 0;
    if (count % size > 0) {
        pageCount = parseInt(count / size) + 1;
    }
    else {
        pageCount = parseInt(count / size);
    }

    if (pageCount <= 1) {
        return "";
    }
    if (index < 1) {
        index = 1;
    }
    if (size < 1) {
        size = 12;
    }

    var pageInfo = "<div class='page' dir='ltr' style='text-align:center;'>";
    pageInfo += "<a disabled='disabled' style='margin-right:5px;' onclick='GetTemplates(\"" + col + "\", \"" + cid + "\")'>首页</a>";
    if (index > 1) {
        pageInfo += "<a onclick='GetTemplateList(\"" + col + "\", \"" + cid + "\", \"" + (index - 1) + "\", \"" + pageSize + "\")' style='margin-right:5px;'>上一页</a>";
    }

    var maxI = 10;
    if (pageCount <= 10) {
        maxI = pageCount;
    }
    var start = 1;
    if (index - 5 >= 0 && index + 5 <= pageCount) {
        start = index - 5 + 1;
    }
    else if (index - 5 < 0) {
        start = 1;
    }
    else if (index + 5 > pageCount) {
        start = pageCount - 10 + 1;
    }

    if (start > 1) {
        pageInfo += "<a onclick='GetTemplateList(\"" + col + "\", \"" + cid + "\", \"" + (start - 1) + "\", \"" + pageSize + "\")' style='margin-right:5px;'>...</a>";
    }

    for (var i = 0; i < maxI; i++) {
        if (start == index) {
            pageInfo += "<span class=\"current\"><a href=\"javascript:void(0);\">" + index + "</a></span>";
        }
        else {
            pageInfo += "<a onclick='GetTemplateList(\"" + col + "\", \"" + cid + "\", \"" + start + "\", \"" + pageSize + "\")' style='margin-right:5px;'>" + start + "</a>";
        }
        start++;
    }

    if (start <= pageCount) {
        pageInfo += "<a onclick='GetTemplateList(\"" + col + "\", \"" + cid + "\", \"" + start + "\", \"" + pageSize + "\")' style='margin-right:5px;'>...</a>";
    }

    if (index + 1 <= pageCount) {
        pageInfo += "<a onclick='GetTemplateList(\"" + col + "\", \"" + cid + "\", \"" + (index + 1) + "\", \"" + pageSize + "\")' style='margin-right:5px;'>下一页</a>";
    }
    pageInfo += "<a onclick='GetTemplateList(\"" + col + "\", \"" + cid + "\", \"" + pageCount + "\", \"" + pageSize + "\")' style='margin-right:5px;'>尾页</a>";
    pageInfo += "</div>";

    return pageInfo;
}


function GetPageInfoCase(col, cid, pageIndex, pageSize, dataCount, method) {
    var count = parseInt(dataCount);
    var size = parseInt(pageSize);
    var index = parseInt(pageIndex);
    var pageCount = 0;
    if (count % size > 0) {
        pageCount = parseInt(count / size) + 1;
    }
    else {
        pageCount = parseInt(count / size);
    }

    if (pageCount <= 1) {
        return "";
    }
    if (index < 1) {
        index = 1;
    }
    if (size < 1) {
        size = 12;
    }

    var pageInfo = "<div class='page' dir='ltr' style='text-align:center;'>";
    pageInfo += "<a disabled='disabled' style='margin-right:5px;' onclick='" + method + "s(\"" + col + "\", \"" + cid + "\")'>首页</a>";
    if (index > 1) {
        pageInfo += "<a onclick='" + method + "(\"" + col + "\", \"" + cid + "\", \"" + (index - 1) + "\", \"" + pageSize + "\")' style='margin-right:5px;'>上一页</a>";
    }

    var maxI = 10;
    if (pageCount <= 10) {
        maxI = pageCount;
    }
    var start = 1;
    if (index - 5 >= 0 && index + 5 <= pageCount) {
        start = index - 5 + 1;
    }
    else if (index - 5 < 0) {
        start = 1;
    }
    else if (index + 5 > pageCount) {
        start = pageCount - 10 + 1;
    }

    if (start > 1) {
        pageInfo += "<a onclick='" + method + "(\"" + col + "\", \"" + cid + "\", \"" + (start - 1) + "\", \"" + pageSize + "\")' style='margin-right:5px;'>...</a>";
    }

    for (var i = 0; i < maxI; i++) {
        if (start == index) {
            pageInfo += "<span class=\"current\"><a href=\"javascript:void(0);\">" + index + "</a></span>";
        }
        else {
            pageInfo += "<a onclick='" + method + "(\"" + col + "\", \"" + cid + "\", \"" + start + "\", \"" + pageSize + "\")' style='margin-right:5px;'>" + start + "</a>";
        }
        start++;
    }

    if (start <= pageCount) {
        pageInfo += "<a onclick='" + method + "(\"" + col + "\", \"" + cid + "\", \"" + start + "\", \"" + pageSize + "\")' style='margin-right:5px;'>...</a>";
    }

    if (index + 1 <= pageCount) {
        pageInfo += "<a onclick='" + method + "(\"" + col + "\", \"" + cid + "\", \"" + (index + 1) + "\", \"" + pageSize + "\")' style='margin-right:5px;'>下一页</a>";
    }
    pageInfo += "<a onclick='" + method + "(\"" + col + "\", \"" + cid + "\", \"" + pageCount + "\", \"" + pageSize + "\")' style='margin-right:5px;'>尾页</a>";
    pageInfo += "</div>";

    return pageInfo;
}